Summary:	TDB - Trivial Database
Summary(pl.UTF-8):	TDB - prosta baza danych
Name:		tdb
Version:	1.3.1
Release:	1
Epoch:		2
License:	LGPL v3+
Group:		Libraries
Source0:	http://www.samba.org/ftp/tdb/%{name}-%{version}.tar.gz
# Source0-md5:	f597190451d976fe013dfae9934fb9ad
Patch0:		%{name}-include.patch
URL:		http://tdb.samba.org/
BuildRequires:	python-devel >= 2
BuildRequires:	rpm-pythonprov
Obsoletes:	tdb-extras
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TDB is a Trivial Database. In concept, it is very much like GDBM, and
BSD's DB except that it allows multiple simultaneous writers and uses
locking internally to keep writers from trampling on each other. TDB
is also extremely small.

%description -l pl.UTF-8
TDB to Trivial Database, czyli prosta baza danych. W założeniach jest
bardzo podobna do GDBM lub DB z BSD z wyjątkiem tego, że pozwala na
zapis wielu procesom jednocześnie i używa wewnętrznie blokowania, aby
nie pozwolić piszącym na zadeptanie się nawzajem. TDB jest ponadto
ekstremalnie mała.

%package devel
Summary:	Header files for TDB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TDB
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	tdb-static

%description devel
Header files for TDB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TDB.

%package -n python-tdb
Summary:	Python bindings for TDB
Summary(pl.UTF-8):	Pythonowy interfejs do TDB
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-tdb
Python bindings for TDB.

%description -n python-tdb -l pl.UTF-8
Pythonowy interfejs do TDB.

%prep
%setup -q
%patch0 -p1

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- tdb < 2:1.2.9-2
-rm -f %{_libdir}/libtdb.so.1
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{README,mutex.txt,tracing.txt}
%attr(755,root,root) %{_bindir}/tdbbackup
%attr(755,root,root) %{_bindir}/tdbdump
%attr(755,root,root) %{_bindir}/tdbrestore
%attr(755,root,root) %{_bindir}/tdbtool
%attr(755,root,root) %{_libdir}/libtdb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtdb.so.1
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbrestore.8*
%{_mandir}/man8/tdbtool.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_pkgconfigdir}/tdb.pc

%files -n python-tdb
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/tdb.so
%changelog
* Sun Nov 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tdb.git;a=log;h=master

* Sun Nov 02 2014 Jakub Bogusz <qboosh@pld-linux.org> c8ea066
- added include patch (tdb.h requires stdbool.h)

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> df06cb6
- updated to 1.3.1

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 6b40aa4
- updated to 1.3.0

* Fri Apr 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 2f854ee
- updated to 1.2.13

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 676cb97
- updated to 1.2.12

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> c5c5665
- updated to 1.2.11

* Fri Apr 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 713fe6a
- updated to 1.2.10

* Sun Oct 02 2011 Elan Ruusamäe <glen@pld-linux.org> 414a27b
- epoch in deps

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 28d9516
- epoch 2 to allow migrating from samba.spec built package

* Sat Jan 15 2011 Jakub Bogusz <qboosh@pld-linux.org> bb5553b
- cleanup

* Sat Jan 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 44928e2
- spec resurrected
- updated to 1.2.9
- uses waf now - -static is gone

* Wed Jan 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e492925
- tdb packages are now built from samba.spec

* Thu Jan 07 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f8d7b5c
- rel .3

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bc6c499
- drop obsolete files

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 32ca8a9
- release 2

* Mon Mar 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f896fb8
- up to 1.1.3, 20090309

* Mon Nov 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e91495
- rel 3; install symlink

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d521085
- rel 2

* Thu Oct 16 2008 Szymon Siwek <sls@pld-linux.org> db0355f
- removed dummy -extras definition

* Mon Aug 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 50d3566
- up to 1.1.2; switch to samba implementation; add python bindings

